Subject: Re: [RFC] gitweb wishlist and TODO list

From: Jakub Narebski <[email-masked]>
Date: Sun, 03 Sep 2006 14:38:48 +0200

Marco Costalba wrote:

>>
>> By the way, do you known any common Perl modules for generating PNG
>> (graphs)?
>>
> 
> No, I don't. sorry. Anyway, from my experience with qgit I can say
> that one thing is to produce a revision graph, another thing is to
> produce a _fast_ and (perhaps more important) no memory hogger
> revision graph.
> 
> Both qgit and gitk implement heavy optimizations and a lot of tricks
> to make that happen. IMHO this is almost mandatory with long and
> complex histories like Linux tree. I'm not sure a generic graph
> builder is up to the task.
> 
> More, gitweb is designed to be used by many people at the same time,
> while qgit and gitk are for personal use only, and this adds burden
> from the performance/resources  point of view.

Well, I guess even if/when gitweb acquires history graph support, it would
be paged like history/shortlog is, i.e. at most 100 commits to graph.

P.S. To those wondering why thread got broken, and why the parent post is
lost: vger bogofilter.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git

-- 
VGER BF report: S 0.992982